Source: rclone
Version: 1.34-1
Severity: serious
Justification: fails to build from source

Builds of rclone in minimal environments (as on the autobuilders) have
been failing with errors along the lines of

  src/github.com/ncw/rclone/drive/drive.go:25:2: cannot find package 
"golang.org/x/oauth2/google" in any of:
        /usr/lib/go-1.7/src/golang.org/x/oauth2/google (from $GOROOT)
        /«PKGBUILDDIR»/obj-aarch64-linux-gnu/src/golang.org/x/oauth2/google 
(from $GOPATH)

Please adjust the build dependency on golang-golang-x-oauth2-dev to
golang-golang-x-oauth2-google-dev and confirm with pbuilder or the
like that you haven't missed anything else.  Please also ensure that
golang-github-ncw-rclone-dev's runtime dependencies are complete.

Thanks!

Please note that I classified this bug as a regression even though
rclone is new to Debian because the bug would affect binNMUs.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?a...@monk.mit.edu

_______________________________________________
Pkg-go-maintainers mailing list
Pkg-go-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-go-maintainers

Reply via email to